// @ts-ignore
/* eslint-disable */

declare namespace KANBAN.QiPingComprehens {
  type QiPingComprehensKanbanDataDto = {
    id: string;
    kanbTitle: string;
    productDeviceException: string;
    processPMProgressId: string;
    processPMProgressStepList?: ProcessPMProgressStepDto[];
    processOutputProgressId?: null;
    processFailureRateProgressId: string;
    failureRateProgressStepList?: [];
    outputProgressStepList?: null;
    entityId: string;
    werks: string;
  };

  type ProcessPMProgressStepDto = {
    werks: string;
    fevor: string;
    pmTypeId: number;
  };

  type ProcessYieldData = {
    stepName: string;
    finishQuantity: number;
    planQuantity: number;
    handQuantity: number;
  };

  type ProcessDefectRatioData = {
    stepName: string;
    standRatio: number;
    defectRatio: number;
  };

  type WorkOrderMonthlyIndexData = {
    startOnTimeRatio: number;
    endOnTimeRatio: number;
    stockInOnTimeRatio: number;
    periodicAccordRatio: number;
    hisPendingQuantity: number;
    monthPlanQuantity: number;
    accuDailyPlanQuantity: number;
    actualFinishQuantity: number;
    monthPlanConcludeRatio: number;
  };

  type ComprehensiveDeviceEcpDataCount = {
    createIssueNumber: number;
    beyondNumber: number;
    currentMonthNumber: number;
    deviceEcpNumber: number;
    deviceNorNumber: number;
  };

  type ComprehensiveDataCount = {
    createIssueNumber: number;
    beyondNumber: number;
    currentMonthNumber: number;
  };

  type CountWeldingPassRate = {
    wholeSetPassRate: number;
    longitudinalJointRate: number;
    transverseJointRate: number;
    piecePassRate: number;
    selectionRate: number;
    transverseJointBasicRate: number;
    selectionBasicRate: number;
    longitudinalJointBasicRate: number;
  };

  type PassRateTrendChart = {
    period: number;
    val: number;
  };

  type ProcessFailQualityErrorDto = {
    lotNo: string;
    eventDate: string;
  };

  type ErrorDetailCriteria = {
    werks?: string;
    fevor?: string;
    workshopName?: string;
    createdDateFrom: date;
    createdDateTo: date;
    status?: string;
    gtErrorDays?: number;
  } & Common.PageParams;

  type ErrorDetailSetting = {
    werks: string;
    fevors: string;
    abnormalOverdueSetting: AbnormalOverdueSetting;
    workshopName?: string;
  };

  type QualityDetailDto = {
    exceptionNo: string;
    exceptionStateName: string;
    lotNo: string;
    productionOrderNo: string;
    workUnitName: string;
    partCode: string;
    partName: string;
    operationName: string;
    dutyOperationName: string;
    exceptionQuantity: string;
    exceptionCaseGroupName: string;
    exceptionCaseDetailName: string;
    exceptionReasonGroupName: string;
    exceptionReasonDetailName: string;
    exceptionHandlingMethodName: string;
    createdByName: string;
    createdDate: string;
    submittedByName: string;
    submittedDate: string;
    handledByName: string;
    handledDate: string;
    cancelledByName: string;
    receiverRoleName: string;
    remarks: string;
    dotTestringNo: string;
    isoTestringNo: string;
    gbTestringNo: string;
    asmeTestringNo: string;
    tcTestringNo: string;
    unTestringNo: string;
    otherTestringNo: string;
  };

  type ProductionErrorDetailDto = {
    productionExceptionNo: string;
    stateName: string;
    ycszgx: string;
    ycfxsj: string;
    scddh: string;
    cpbh: string;
    ycwtlx: string;
    zrbm: string;
    zrbm_des: string;
    ycwtywqkms: string;
    cjyjcs: string;
    requestid: string;
    ex_reason: string;
    ex_method: string;
    msgty: string;
    message: string;
    createdByName: string;
    createdDate: string;
    submittedDate: string;
    cancelledDate: string;
    executedDate: string;
  };

  type EquipmentDetailDto = {
    deviceNo: string;
    description: string;
    workSiteName: string;
    workSiteDescription: string;
    stateName: string;
    keeperName: string;
    managerName: string;
    position: string;
  };

  type EquipmentDetailCriteria = {
    workshopName: string;
    status?: number;
  } & Common.PageParams;

  type MaterialReqOrderInfoDto = {
    deviceNo: string;
    description: string;
    workSiteName: string;
    workSiteDescription: string;
    stateName: string;
    keeperName: string;
    managerName: string;
    position: string;
  };

  type MaterialReqOrderInfoCriteria = {
    werks: string;
    startDateFrom: string;
    startDateTo: string;
    status?: number;
    onTime?: number;
  } & Common.PageParams;

  type EquipmentErrorDetailDto = {
    deNo: string;
    deStateName: string;
    workSiteName: string;
    deviceNo: string;
    deviceDescription: string;
    createdDate: string;
    createdByName: string;
    executedDate: string;
    executedByName: string;
    delegateTypeName: string;
    deCaseGroupName: string;
    deCaseDetailName: string;
    deReasonGroupName: string;
    deReasonDetailName: string;
    deMethodGroupName: string;
    deMethodDetailName: string;
    remarks: string;
  };

  type AbnormalOverdueSettingDto = {
    werks: string;
    type: AbnormalOverdueType;
    overdueDays: number;
  };

  type AbnormalOverdueType = {
    id: number;
    name: string;
  };

  type AbnormalOverdueSetting = {
    diffDayQuality: number;
    diffDayEquipment: number;
    diffDayProduction: number;
  };

  type BatchInfoDto = {
    lotNo: string;
    aufnr: string;
    werks: string;
    fevor: string;
    gstrp: string;
    gltrp: string;
    actualStartDate: string;
    actualEndDate: string;
    stockInDate: string;
    pglei: string;
  };
}
