// @ts-ignore
/* eslint-disable */

declare namespace Report.Settings {
  type ReportTypeDto = {
    name?: string;
  } & Common.IdDto;

  type ReportOperationDto = {
    type?: ReportTypeDto;
    operation?: string;
    ordinal?: number;
    mesOperation?: string;
  } & Common.IdDto;

  type ReportOperationSettingDto = {
    type?: ReportTypeDto;
    operation?: string;
    werks?: string;
    fevor?: string;
    month?: Date;
    dailyQuantity?: number;
  } & Common.IdDto;

  type ReportOperationSettingCriteria = {
    id: string;
  };

  type ReportOperationSettingPageCriteria = {
    type?: ReportTypeDto;
    operation?: string;
    werks?: string;
    fevor?: string;
    monthRange?: [string, string];
  } & Common.PageParams;

  type ReportOperationSettingCreate = {
    type: string;
    operation: string;
    werks: string;
    fevor: string;
    month: string;
    dailyQuantity: number;
  };

  type ReportOperationSettingUpdate = {
    type: string;
    operation: string;
    werks: string;
    fevor: string;
    month: string;
    dailyQuantity: number;
  } & Common.IdDto;

  type MonthlyPlanDto = {
    werks?: string;
    fevor?: string;
    month?: Date;
    quantity?: number;
  } & Common.IdDto;

  type MonthlyPlanCriteria = {
    id: string;
  };

  type MonthlyPlanPageCriteria = {
    werks?: string;
    fevor?: string;
    monthRange?: [string, string];
  } & Common.PageParams;

  type MonthlyPlanCreate = {
    werks: string;
    fevor: string;
    month: string;
    quantity: number;
  };

  type MonthlyPlanUpdate = {
    werks: string;
    fevor: string;
    month: string;
    quantity: number;
  } & Common.IdDto;

  type DeviceTotalQuantityDto = {
    workshop?: string;
    quantity?: number;
  } & Common.IdDto;

  type DeviceTotalQuantityCriteria = {
    id: string;
  };

  type DeviceTotalQuantityPageCriteria = {
    workshop?: string;
  } & Common.PageParams;

  type DeviceTotalQuantityCreate = {
    workshop: string;
    quantity: number;
  };

  type DeviceTotalQuantityUpdate = {
    workshop: string;
    quantity: number;
  } & Common.IdDto;

  type ProductionProgressKanbanSettingDto = {
    subTitle1: string;
    subTitle2: string;
    werks: string;
    fevor: string;
    sgNoSourceTypeId: number;
    progressId: string;
    progressStepList: ProgressStepDto[];
  } & Common.IdDto;

  type ProductionProgressKanbanSettingCreate = {
    subTitle1: string;
    subTitle2: string;
    werks: string;
    fevor: string;
    sgNoSourceType: number;
    progressCreate: ProductionProgressKanbanProgressCreate;
  };

  type ProductionProgressKanbanProgressCreate = {
    stepsCreate: ProgressStepDto[];
  };

  type ProductionProgressKanbanSettingUpdate = {
    subTitle1?: string;
    subTitle2?: string;
    sgNoSourceType: number;
    progressUpdate?: ProductionProgressKanbanProgressUpdate;
  } & Common.IdDto;

  type ProductionProgressKanbanProgressUpdate = {
    steps: ProgressStepDto[];
  } & Common.IdDto;

  type ProductionProgressKanbanSettingCriteria = {
    subTitle1: string;
    subTitle2: string;
    fevor: string;
  } & Common.PageParams;

  type ProgressStepDto = {
    rowKey: string;
    code: string;
    name?: string;
    ordinal?: number;
    fevor?: string;
    type?: number;
    typeId?: number;
    extraTypeDes?: string;
    progress?: string;
  } & Common.IdDto;

  type MaterialComprehensiveKanbanSettingDto = {
    kanbTitle: string;
    productDeviceException: string;
    productionManagerKanbanProgressId: string;
    productionManagerProgressStepList: ProductionManagerProgressStepDto[];
    partProgressId: string;
    progressStepList: PartProgressStepDto[];
  } & Common.IdDto;

  type ProductionManagerProgressStepDto = {
    rowKey: string;
    werks?: string;
    fevor?: string;
    productionManagerProgress?: string;
  } & Common.IdDto;

  type PartProgressStepDto = {
    rowKey: string;
    workShop?: string;
    werks?: string;
    fevor?: string;
    partProgress?: string;
  } & Common.IdDto;

  type MaterialComprehensiveKanbanSettingCriteria = {
    kanbTitle: string;
    productDeviceException: string;
  } & Common.PageParams;

  type MaterialComprehensiveKanbanSettingCreate = {
    kanbTitle: string;
    productDeviceException: string;
    werks: string;
    productionManagerKanbanProgressCreate: ProductionManagerKanbanProgressCreate;
    progressCreate: MaterialComprehensivePartProgressCreate;
  };
  type ProductionManagerKanbanProgressCreate = {
    productionManagerProgressStepCreates: ProductionManagerProgressStepDto[];
  };

  type MaterialComprehensivePartProgressCreate = {
    stepsCreate: PartProgressStepDto[];
  };

  type MaterialComprehensiveKanbanSettingUpdate = {
    kanbTitle?: string;
    productDeviceException?: string;
    werks?: string;
    productionManagerKanbanProgressUpdate?: ProductionManagerKanbanProgressUpdate;
    progressUpdate?: MaterialComprehensivePartProgressUpdate;
  } & Common.IdDto;

  type ProductionManagerKanbanProgressUpdate = {
    productionManagerProgressStepUpdates: ProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type MaterialComprehensivePartProgressUpdate = {
    steps: PartProgressStepDto[];
  } & Common.IdDto;

  type ProductionComprehensiveKanbanSettingDto = {
    kanbTitle: string;
    productDeviceException: string;
    werks: string;
    processOutputProgressId: string;
    processFailureRateProgressId: string;
    processPMProgressId: string;
    processPMProgressStepList: ProcessPMProgressStepDto[];
    failureRateProgressStepList: ProcessFailureRateProgressStepDto[];
    outputProgressStepList: ProcessOutputProgressStepDto[];
  } & Common.IdDto;

  type ProductionComprehensiveKanbanSettingCreate = {
    kanbTitle: string;
    productDeviceException: string;
    werks: string;
    /*qualityException: string;
    weldingPassRate: string;
    monthPlan: string;*/
    processPMProgressCreate: ProductionComprehensiveProcessPMProgressCreate;
    failureRateProgressCreate: ProductionComprehensiveProcessFailureRateProgressCreate;
    outputProgressCreate: ProductionComprehensiveProcessOutputProgressCreate;
  };

  type ProductionComprehensiveProcessPMProgressCreate = {
    processPMProgressStepCreates: ProcessPMProgressStepDto[];
  };

  type ProductionComprehensiveProcessFailureRateProgressCreate = {
    failureRateProgressStepsCreate: ProcessFailureRateProgressStepDto[];
  };

  type ProductionComprehensiveProcessOutputProgressCreate = {
    outputProgressStepsCreate: ProcessOutputProgressStepDto[];
  };

  type ProductionComprehensiveKanbanSettingUpdate = {
    kanbTitle?: string;
    productDeviceException?: string;
    werks: string;
    /*qualityException?: string;
    weldingPassRate?: string;
    monthPlan?: string;*/
    processPMProgressUpdate?: ProductionComprehensiveProcessPMProgressUpdate;
    failureRateProgressUpdate?: ProductionComprehensiveProcessFailureRateProgressUpdate;
    outputProgressUpdate?: ProductionComprehensiveProcessOutputProgressUpdate;
  } & Common.IdDto;

  type ProductionComprehensiveProcessPMProgressUpdate = {
    processPMProgressStepUpdates: ProcessPMProgressStepDto[];
  } & Common.IdDto;

  type ProductionComprehensiveProcessFailureRateProgressUpdate = {
    failureRateProgressStepsUpdate: ProcessFailureRateProgressStepDto[];
  } & Common.IdDto;

  type ProductionComprehensiveProcessOutputProgressUpdate = {
    outputProgressStepsUpdate: ProcessOutputProgressStepDto[];
  } & Common.IdDto;

  type QiPingComprehensiveKanbanSettingDto = {
    kanbTitle: string;
    productDeviceException: string;
    werks: string;
    processOutputProgressId: string;
    processFailureRateProgressId: string;
    processPMProgressId: string;
    processPMProgressStepList: ProcessPMProgressStepDto[];
    failureRateProgressStepList: ProcessFailureRateProgressStepDto[];
    outputProgressStepList: ProcessOutputProgressStepDto[];
    qiPingComprehensiveDeviceProgressId: string;
    qiPingDeviceProgressStepList: QiPingComprehensiveDeviceProgressStepDto[];
  } & Common.IdDto;

  type QiPingComprehensiveKanbanSettingCreate = {
    kanbTitle: string;
    productDeviceException: string;
    werks: string;
    /*qualityException: string;
    weldingPassRate: string;
    monthPlan: string;*/
    processPMProgressCreate: QiPingComprehensiveProcessPMProgressCreate;
    failureRateProgressCreate: QiPingComprehensiveProcessFailureRateProgressCreate;
    outputProgressCreate: QiPingComprehensiveProcessOutputProgressCreate;
    deviceKanbanProgressCreate: QiPingComprehensiveDeviceKanbanProgressCreate;
  };
  type QiPingComprehensiveDeviceKanbanProgressCreate = {
    qiPingComprehensiveDeviceProgressStepCreates: QiPingComprehensiveDeviceProgressStepDto[];
  };

  type QiPingComprehensiveProcessPMProgressCreate = {
    processPMProgressStepCreates: ProcessPMProgressStepDto[];
  };

  type QiPingComprehensiveProcessFailureRateProgressCreate = {
    failureRateProgressStepsCreate: ProcessFailureRateProgressStepDto[];
  };

  type QiPingComprehensiveProcessOutputProgressCreate = {
    outputProgressStepsCreate: ProcessOutputProgressStepDto[];
  };

  type QiPingComprehensiveKanbanSettingUpdate = {
    kanbTitle?: string;
    productDeviceException?: string;
    werks: string;
    /*qualityException?: string;
    weldingPassRate?: string;
    monthPlan?: string;*/
    processPMProgressUpdate?: QiPingComprehensiveProcessPMProgressUpdate;
    failureRateProgressUpdate?: QiPingComprehensiveProcessFailureRateProgressUpdate;
    outputProgressUpdate?: QiPingComprehensiveProcessOutputProgressUpdate;
    deviceKanbanProgressUpdate?: QiPingComprehensiveDeviceKanbanProgressUpdate;
  } & Common.IdDto;

  type QiPingComprehensiveDeviceKanbanProgressUpdate = {
    qiPingComprehensiveDeviceProgressStepUpdates: QiPingComprehensiveDeviceProgressStepDto[];
  } & Common.IdDto;

  type QiPingComprehensiveProcessPMProgressUpdate = {
    processPMProgressStepUpdates: ProcessPMProgressStepDto[];
  } & Common.IdDto;

  type QiPingComprehensiveProcessFailureRateProgressUpdate = {
    failureRateProgressStepsUpdate: ProcessFailureRateProgressStepDto[];
  } & Common.IdDto;

  type QiPingComprehensiveProcessOutputProgressUpdate = {
    outputProgressStepsUpdate: ProcessOutputProgressStepDto[];
  } & Common.IdDto;

  type ProcessFailureRateProgressStepDto = {
    rowKey: string;
    code: string;
    name?: string;
    ordinal?: number;
    werks?: string;
    fevor?: string;
    type?: number;
    typeId?: number;
    extraTypeDes?: string;
    processFailureRateProgress?: string;
  } & Common.IdDto;

  type ProcessOutputProgressStepDto = {
    rowKey: string;
    code: string;
    name?: string;
    ordinal?: number;
    werks?: string;
    fevor?: string;
    type?: number;
    typeId?: number;
    extraTypeDes?: string;
    processOutputProgress?: string;
  } & Common.IdDto;

  type ProcessPMProgressStepDto = {
    rowKey: string;
    werks?: string;
    fevor?: string;
    pmType?: number;
    pmTypeId?: number;
    processPMProgress?: string;
  } & Common.IdDto;

  type QiPingComprehensiveDeviceProgressStepDto = {
    rowKey: string;
    device?: string;
    deviceName?: string;
    qiPingComprehensiveDeviceProgress?: string;
  } & Common.IdDto;

  type ProductionComprehensiveKanbanSettingCriteria = {
    kanbTitle: string;
    productDeviceException: string;
  } & Common.PageParams;

  type QiPingComprehensiveKanbanSettingCriteria = {
    kanbTitle: string;
    productDeviceException: string;
  } & Common.PageParams;

  type HjKanbanSettingDto = {
    kanbTitle: string;
    hjProductionManagerKanbanProgressId: string;
    hjProductionManagerProgressStepList: HjProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type HjProductionManagerProgressStepDto = {
    rowKey: string;
    werks?: string;
    fevor?: string;
    hjProductionManagerProgress?: string;
  } & Common.IdDto;

  type HjKanbanSettingCriteria = {
    kanbTitle: string;
  } & Common.PageParams;

  type HjKanbanSettingCreate = {
    kanbTitle: string;
    werks: string;
    hjProductionManagerKanbanProgressCreate: HjProductionManagerKanbanProgressCreate;
  };

  type HjProductionManagerKanbanProgressCreate = {
    hjProductionManagerProgressStepCreates: HjProductionManagerProgressStepDto[];
  };

  type HjKanbanSettingUpdate = {
    kanbTitle?: string;
    werks?: string;
    hjProductionManagerKanbanProgressUpdate?: HjProductionManagerKanbanProgressUpdate;
  } & Common.IdDto;

  type HjProductionManagerKanbanProgressUpdate = {
    hjProductionManagerProgressStepUpdates: HjProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type QiPingProcessKanbanSettingDto = {
    kanbTitle: string;
    werks: string;
    qiPingProcessKanbanProgressId: string;
    qiPingProcessProgressStepList: QiPingProcessProgressStepDto[];
    qiPingDeviceKanbanProgressId: string;
    qiPingDeviceProgressStepList: QiPingDeviceProgressStepDto[];
    qiPingProductionManagerKanbanProgressId: string;
    qiPingProductionManagerProgressStepList: QiPingProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type QiPingProcessProgressStepDto = {
    rowKey: string;
    code: string;
    name?: string;
    ordinal?: number;
    fevor?: string;
    type?: number;
    typeId?: number;
    extraTypeDes?: string;
    qiPingProcessProgress?: string;
  } & Common.IdDto;

  type QiPingDeviceProgressStepDto = {
    rowKey: string;
    device?: string;
    deviceName?: string;
    operationUnit?: string;
    qiPingDeviceProgress?: string;
  } & Common.IdDto;

  type QiPingProductionManagerProgressStepDto = {
    rowKey: string;
    werks?: string;
    fevor?: string;
    qiPingProductionManagerProgress?: string;
  } & Common.IdDto;

  type QiPingProcessKanbanSettingCriteria = {
    kanbTitle: string;
    werks: string;
  } & Common.PageParams;

  type QiPingProcessKanbanSettingCreate = {
    kanbTitle: string;
    werks: string;
    qiPingProductionManagerKanbanProgressCreate: QiPingProductionManagerKanbanProgressCreate;
    qiPingProcessKanbanProgressCreate: QiPingProcessKanbanProgressCreate;
    qiPingDeviceKanbanProgressCreate: QiPingDeviceKanbanProgressCreate;
  };

  type QiPingProductionManagerKanbanProgressCreate = {
    qiPingProductionManagerProgressStepCreates: QiPingProductionManagerProgressStepDto[];
  };

  type QiPingProcessKanbanProgressCreate = {
    qiPingProcessProgressStepCreates: QiPingProcessProgressStepDto[];
  };

  type QiPingDeviceKanbanProgressCreate = {
    qiPingDeviceProgressStepCreates: QiPingDeviceProgressStepDto[];
  };

  type QiPingProcessKanbanSettingUpdate = {
    kanbTitle?: string;
    werks?: string;
    qiPingProductionManagerKanbanProgressUpdate?: QiPingProductionManagerKanbanProgressUpdate;
    qiPingProcessKanbanProgressUpdate?: QiPingProcessKanbanProgressUpdate;
    qiPingDeviceKanbanProgressUpdate?: QiPingDeviceKanbanProgressUpdate;
  } & Common.IdDto;

  type QiPingProductionManagerKanbanProgressUpdate = {
    qiPingProductionManagerProgressStepUpdates: QiPingProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type QiPingProcessKanbanProgressUpdate = {
    qiPingProcessProgressStepUpdates: QiPingProcessProgressStepDto[];
  } & Common.IdDto;

  type QiPingDeviceKanbanProgressUpdate = {
    qiPingDeviceProgressStepUpdates: QiPingDeviceProgressStepDto[];
  } & Common.IdDto;

  type GaoYaProcessKanbanSettingDto = {
    werks?: string;
    kanbTitle?: string;
  } & Common.IdDto;

  type GaoYaProcessKanbanSettingPageCriteria = {
    werks?: string;
    kanbTitle?: string;
  } & Common.PageParams;

  type GaoYaProcessKanbanSettingCreate = {
    werks: string;
    kanbTitle: string;
  };

  type GaoYaProcessKanbanSettingUpdate = {
    werks: string;
    kanbTitle: string;
  } & Common.IdDto;

  type ChouKongProcessKanbanSettingDto = {
    kanbTitle: string;
    werks: string;
    standardDays: number;
    beyondDays: number;
    chouKongProcessKanbanProgressId: string;
    chouKongProcessProgressStepList: ChouKongProcessProgressStepDto[];
    chouKongDeviceKanbanProgressId: string;
    chouKongDeviceProgressStepList: ChouKongDeviceProgressStepDto[];
    chouKongProductionManagerKanbanProgressId: string;
    chouKongProductionManagerProgressStepList: ChouKongProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type ChouKongProcessProgressStepDto = {
    rowKey: string;
    code: string;
    name?: string;
    ordinal?: number;
    fevor?: string;
    type?: number;
    typeId?: number;
    extraTypeDes?: string;
    chouKongProcessProgress?: string;
  } & Common.IdDto;

  type ChouKongDeviceProgressStepDto = {
    rowKey: string;
    device?: string;
    operationUnit?: string;
    chouKongDeviceProgress?: string;
  } & Common.IdDto;

  type ChouKongProductionManagerProgressStepDto = {
    rowKey: string;
    werks?: string;
    fevor?: string;
    chouKongProductionManagerProgress?: string;
  } & Common.IdDto;

  type ChouKongProcessKanbanSettingCriteria = {
    kanbTitle: string;
    werks: string;
  } & Common.PageParams;

  type ChouKongProcessKanbanSettingCreate = {
    kanbTitle: string;
    werks: string;
    standardDays: number;
    beyondDays: number;
    chouKongProductionManagerKanbanProgressCreate: ChouKongProductionManagerKanbanProgressCreate;
    chouKongProcessKanbanProgressCreate: ChouKongProcessKanbanProgressCreate;
    chouKongDeviceKanbanProgressCreate: ChouKongDeviceKanbanProgressCreate;
  };

  type ChouKongProductionManagerKanbanProgressCreate = {
    chouKongProductionManagerProgressStepCreates: ChouKongProductionManagerProgressStepDto[];
  };

  type ChouKongProcessKanbanProgressCreate = {
    chouKongProcessProgressStepCreates: ChouKongProcessProgressStepDto[];
  };

  type ChouKongDeviceKanbanProgressCreate = {
    chouKongDeviceProgressStepCreates: ChouKongDeviceProgressStepDto[];
  };

  type ChouKongProcessKanbanSettingUpdate = {
    kanbTitle?: string;
    werks?: string;
    standardDays?: number;
    beyondDays?: number;
    chouKongProductionManagerKanbanProgressUpdate?: ChouKongProductionManagerKanbanProgressUpdate;
    chouKongProcessKanbanProgressUpdate?: ChouKongProcessKanbanProgressUpdate;
    chouKongDeviceKanbanProgressUpdate?: ChouKongDeviceKanbanProgressUpdate;
  } & Common.IdDto;

  type ChouKongProductionManagerKanbanProgressUpdate = {
    chouKongProductionManagerProgressStepUpdates: ChouKongProductionManagerProgressStepDto[];
  } & Common.IdDto;

  type ChouKongProcessKanbanProgressUpdate = {
    chouKongProcessProgressStepUpdates: ChouKongProcessProgressStepDto[];
  } & Common.IdDto;

  type ChouKongDeviceKanbanProgressUpdate = {
    chouKongDeviceProgressStepUpdates: ChouKongDeviceProgressStepDto[];
  } & Common.IdDto;

  type GaoYaProcessDataDto = {
    operationName: string;
    date: Date;
    type: string;
    qiFangNo: string;
    planNumber: number;
    actNumber: number;
  } & Common.IdDto;

  type GaoYaProcessDataCriteria = {
    operationName: string;
    date: Date;
    type: string;
    qiFangNo: string;
    planNumber: number;
    actNumber: number;
  } & Common.PageParams;

  type GaoYaProcessDataCreate = {
    operationName: string;
    date: Date;
    type: string;
    qiFangNo: string;
    planNumber: number;
    actNumber: number;
  };

  type GaoYaProcessDataUpdate = {
    operationName?: string;
    date?: Date;
    type?: string;
    qiFangNo?: string;
    planNumber?: number;
    actNumber?: number;
  } & Common.IdDto;
}
